global:
  imageRegistry: registry.gitlab.com/operator-ict/golemio
  secretName: permission-proxy-secret
  imagePullSecrets: []
  pullPolicy: IfNotPresent
  replicas: 1
  readinessProbe:
    initialDelaySeconds: 5
    periodSeconds: 10
  targetCPUUtilizationPercent: 100
  terminationGracePeriodSeconds: 30

redis:
  enabled: false

jaeger:
  host: XXX
  port: 6832
  logLevel: 0 # NONE = 0, ERROR = 30, WARN = 50, INFO = 60, DEBUG = 70, VERBOSE = 80, ALL = 9999
  sampler: 'parentbased_traceidratio'
  processor: EXPORTER

permission-proxy:
  enabled: false
  name: permission-proxy
  repository: code/permission-proxy
  branch: development
  tag: "latest"
  replicas: 1
  port: 3000
  logLevel: "warn"
  sslMode: "prefer"
  maxBodySizeMB: 50
  jaeger:
    enabled: false
    samplerArg: '0.01'
  ingress:
    hosts: ["api.xxxxx.cz"]
    tls: true
    annotations: {}
  probes:
    enabled: true
  inspector:
    enabled: false
    host: "0.0.0.0"
    port: 9229
  resources:
    limits:
      cpu: 250m
      memory: 500Mi
    requests:
      cpu: 100m
      memory: 200Mi

permission-proxy-migration:
  enabled: false
  name: permission-proxy-migration
  repository: code/permission-proxy
  branch: development
  tag: latest
  commands: ["-c", "npm run migrate-db"]
  backoffLimit: 1
  resources:
    limits:
      cpu: 500m
      memory: 1Gi
    requests:
      cpu: 50m
      memory: 100Mi
  tolerations: []
  nodeSelector: {}

apiKeyManagement:
  name: api-key-management
  repository: code/api-keys-management
  branch: development
  tag: latest
  port: 3000
  replicas: 1
  resources:
    limits:
      cpu: 50m
      memory: 100Mi
    requests:
      cpu: 10m
      memory: 50Mi

client:
  name: permission-proxy-client
  repository: code/admin-panel-frontend
  branch: development
  tag: latest
  port: 3000
  replicas: 1
  ingress:
    host: "dev-admin-panel.XXXXX.cz"
    tls: true
  resources:
    limits:
      cpu: 50m
      memory: 150Mi
    requests:
      cpu: 10m
      memory: 50Mi

configurationFiles:
  apiKeyManagementConfigJS: |-
    window.ENV = {
      AUTH_API_URL: "https://XXXXX.cz/gateway",
      RECAPTCHA_SITE_KEY: "XXXXXX",
      DEFAULT_LANG: "cs",
    };
